Subject: pkg/5048: graphics/gimp doesnt install package distfile correctly
To: None <>
From: None <>
List: netbsd-bugs
Date: 02/23/1998 23:45:26
>Number:         5048
>Category:       pkg
>Synopsis:       graphics/gimp doesnt install package distfile correctly
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    gnats-admin (GNATS administrator)
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Mon Feb 23 14:50:00 1998
>Originator:     Markus Illenseer
>Release:        NetBSD-1.3, current pkgsrc, current
System: NetBSD lion 1.3 NetBSD 1.3 (LION) #0: Sun Feb 1 03:48:59 CET 1998 markus@lion:/usr/src/sys/arch/i386/compile/LION i386


===>  Registering installation for gimp-0.99.18
===>  Building package for gimp-0.99.18
Creating package /usr/pkgsrc/packages/All/gimp-0.99.18.tgz
Registering depends: gtk+-0.99.3 jpeg-6a mpeg-1.2.1 png-0.96 tcl-8.0p2 tiff-3.4 tk-8.0p2.
Creating gzip'd tar ball in '/usr/pkgsrc/packages/All/gimp-0.99.18.tgz'
tar: can't add file lib/gimp/0.99/plug-ins/xpm : No such file or directory
*** Error code 1

"make package" will install the package to /usr/X11R6/ and NOT
to /usr/pkg/ !

Also, dependency to xpm is missing.


cd /usr/pkgsrc/graphics/gimp/; make package

Probably remove USE_X11 and fix Makefile.